Page MenuHomeFreeBSD

libalias: retire cuseeme support
ClosedPublic

Authored by emaste on May 9 2020, 7:08 PM.

Details

Summary

The CU-SeeMe videoconferencing client and associated protocol is at this point a historical artifact; there is no need to retain support for this protocol today.

Relnotes: Yes

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

emaste requested review of this revision.May 9 2020, 7:08 PM
emaste created this revision.
emaste created this object with visibility "Subscribers".
philip accepted this revision.May 10 2020, 6:03 AM

Looks good to me. I did a quick build-test and verified that make find-old; make delete-old does the right thing.

This revision is now accepted and ready to land.May 10 2020, 6:03 AM
emaste changed the visibility from "Subscribers" to "Public (No Login Required)".May 14 2020, 8:44 PM
markj accepted this revision.May 14 2020, 8:48 PM
markj added a subscriber: markj.

yes please

allanjude accepted this revision.May 14 2020, 8:50 PM
allanjude added a subscriber: allanjude.

Removing any surface area we can seems like a good idea

We should also check the other modules -- for example, ftp and irc are in common use; I'm not sure off hand what skinny and smedia are.

markj added a comment.May 15 2020, 2:47 PM

We should also check the other modules -- for example, ftp and irc are in common use; I'm not sure off hand what skinny and smedia are.

alias_nbt can most likely go as well, it was intended for legacy netbios applications that don't use TCP, I believe.

Yeah, in general the FTP one might still be in use, but pretty much every FTP server supports passive mode now, so I don't know how often the FTP module is useful.

The IRC one, I think is only for DCC file transfers. Again I assume that is OBE but I am not sure